%define name	dvdstyler
%define version 2.9.6
%define release %mkrel 1
# choose only one of the coder
%define build_libav 0
%define build_ffmpeg 1

Name: 	 	%{name}
Summary: 	DVD authoring GUI
Version: 	%{version}
Release: 	%{release}
Source:		http://prdownloads.sourceforge.net/dvdstyler/DVDStyler-%{version}.tar.xz
Patch0:		dvdstyler_docs_messages.batch
Patch1:         DVDStyler-2.1b2-linkage.patch
URL:		http://dvdstyler.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imagemagick
BuildRequires:	wxsvg-devel >= 1.4.2
BuildRequires:	dvdauthor >= 0.7.0
BuildRequires:	netpbm
BuildRequires:	dvd+rw-tools
BuildRequires:	mkisofs
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	libexif-devel
BuildRequires:	%{_lib}gnomeui2-devel
%if %build_ffmpeg
BuildRequires:	%{_lib}ffmpeg-devel >= 2.4.3
Requires:	ffmpeg >= 2.4.3
%endif
%if %build_libav
BuildRequires:	%{_lib}libav-devel >= 0.8.5
Requires:	libav >= 0.8.5
%endif
BuildRequires:	xmlto
BuildRequires:	zip
BuildRequires:	bison
BuildRequires:	flex
Requires:	dvdauthor >= 0.7.0 
Requires:	mjpegtools netpbm mpgtx cdrkit-genisoimage dvd+rw-tools
Requires:	wxsvg >= 1.4.2
Requires:	xine-ui >= 0.99.1


%description
The main DVDStyler features are:
    * you can drag and drop MPEG files directly
    * you can import image file for background
    * you can create NTSC/PAL menu
    * you can place text and images anywhere on the menu screen
    * you can put music on the menus
    * you can change font/color
    * you can put basic text buttons, change font/color and background color
    * you can set chapters for each movie
    * you can change post command for each movie
For more information see the documentation under
<http://www.dvdstyler.de/index.php?option=com_content&view=article&id=46&lang=com>

%description -l de
DVDStyler ist eine plattformübergreifende kostenlose DVD Authoring-Applikation für 
Erstellen von professionell aussehenden DVDs. Sie ermöglicht nicht nur Brennen der 
Video-Dateien auf eine DVD, die praktisch auf jedem DVD-Player wiedergeben werden 
kann, sondern auch Erstellen von individuell gestalteten DVD-Menüs. 
Es ist eine Open Source Software und ist völlig kostenlos.
    * Ermöglicht Erstellen und Brennen einer Video-DVD mit interaktiven Bildschirmmenüs
    * Unterstützung von AVI, MOV, MP4, MPEG, OGG, WMV und anderen Dateiformaten
    * Unterstützung von MPEG-2, MPEG-4, DivX, Xvid, MP2, MP3, AC-3 und anderen Audio- 
      und Videoformaten
    * Unterstützung von Multikern-Prozessoren v1.7.3
    * Benutzung von MPEG und VOB-Dateien ohne Rekodierung, siehe FAQ
    * Ermöglicht Zusammensetzen der Dateien mit unterschiedlichen Audio und Video-Formaten 
      auf einer DVD (Unterstützung von Titelsets)
    * Benutzerfreundliche Oberfläche mit Unterstützung von Drag & Drop
    * Flexible Menü-Gestaltung auf der Basis skalierbarer Vektorgrafik
    * Importieren beliebiges Bildes für Menü-Hintergrund
    * Platzieren der Knöpfe, Texte, Bilder und anderen grafischen Objekten überall auf Menü
    * Ändern der Schriften, Farben und anderen Parameter von Knöpfen und graphischen Objekten
    * Skalieren von Knöpfen und graphischen Objekten
    * Kopieren der Menüobjekten order des kompletten Menüs
    * Unterstützung der DVD Skript Sprache
Für weitere Information sehen Sie die Dokumentation unter
<http://www.dvdstyler.de/index.php?option=com_content&view=article&id=46&lang=de>. 


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_mandir}/man1/%name.1*

#__________________ build area ___________________________________

%prep
%setup -q -n DVDStyler-%{version}
%apply_patches

pushd locale
for i in *.po; do msgconv -t UTF-8 $i -o $i.new; mv -f $i.new $i; done
popd

%define Werror_cflags %nil
%configure2_5x --prefix=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#fix desktop file
sed -i -e 's,%{name}.png,%{name},g' data/dvdstyler.desktop

desktop-file-install \
 --vendor="" \
 --remove-category="Application" \
 --add-category="X-MandrivaLinux-Multimedia-Video" \
 --add-category="Video" \
 --add-category="AudioVideoEditing" \
 --dir %{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/rc/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/rc/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/rc/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png


%find_lang %name

rm %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -rf %buildroot/%{_libdir}/share


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/DVDStyler-%{version}


#_________________ changelog ____________________________________

%changelog
* Tue Jan 19 2016 bb <bb> 2.9.6-1pclos2016
- update

* Mon Jun 22 2015 bb <bb> 2.9.2-2pclos2015
- rebuild updated wxgtk2.8

* Sat Apr 04 2015 pinoc <vogtpet at gmail.com> 2.9.2-1pclos2015
- 2.9.2

* Sat Nov 22 2014 bb <bb> 2.7.2-3pclos2014
- rebuild for updated wxsvg

